#!/bin/env python
from __future__ import print_function

import nreal_brain
import nr_utils

server_ip = '<SERVER_IP|hostname>'
source_project = '<src_project_name_to_copy_group_assignments_from>'
dst_project = '<destination_project_name>'

nr = nreal_brain.Initialize(ip=server_ip, project=source_project, user='admin', passwd='')

source_project_assignments = nr.server.query('sthpw/login_in_group', [('login_group', '~', '%s/' % source_project)])
for entry in source_project_assignments:
    new_entry = {
        'login_group': entry['login_group'].replace('%s/' % source_project, '%s/' % dst_project),
        'login': entry['login'],

    }
    try:
        if not nr.server.query('sthpw/login_in_group', [('login_group', new_entry['login_group']), ('login', new_entry['login'])]):
            nr.server.insert('sthpw/login_in_group', new_entry)
            nr_utils.log("[INFO]: Added '%s' to group '%s'" % (new_entry['login'], new_entry['login_group']))
        else:
            nr_utils.log("[INFO]: Skipping '%s' from group '%s' because it's already assigned" % (new_entry['login'], new_entry['login_group']), type='warning')
    except Exception as msg:
        nr_utils.log("[WARNING]: %s" % msg, type='warning')

