#!/bin/env python
from __future__ import print_function

import nreal_brain
import sys
import getpass

if sys.version_info > (3, 0):
    print("We are in v %s" % sys.version_info)
    new_project_code = input("New Project Code: ")
    template_project_code = input("Project Template Used To Create the Project: ")
    print("")
    seneferu_server =  input("Seneveru server ip: ")
    password = getpass.getpass(prompt="Enter Seneferu Server Admin Password: ")
else:
    new_project_code = raw_input("New Project Code: ")
    template_project_code = raw_input("Project Template Used To Create the Project: ")
    print("")
    seneferu_server =  raw_input("Seneveru server ip: ")
    password = getpass.getpass("Enter Seneferu Server Admin Password: ")
    

nr = nreal_brain.Initialize(ip=seneferu_server, project=new_project_code, user='admin', passwd=password)

# fix tasks statuses pipeline made incorrectly due to a bug in tactic when creating a new project based on a template.
pipelines = nr.server.query('sthpw/pipeline', [('project_code', new_project_code)])
for obj in pipelines:
    pipeline = obj['pipeline'].replace("%s/bs_status" % template_project_code, "%s/bs_status" % new_project_code)
    if pipeline:
        print("Updating... %s" % obj['code'])
        nr.server.update(obj['__search_key__'], {'pipeline': pipeline})


# TODO: Load the csv processes control table

# TODO: Load the csv applications config table

# TODO: Load the csv project settings table

